<template>
  <div class="pay-pages"></div>
</template>

<script setup lang="ts">
import { getAnnouncementPage, getDiyProductPage, getServiceCaseList, getPlatformIndexDiyPcPage } from '@/api/home/diy';

getAnnouncementPage({
  pageNum: 1,
  pageSize: 10,
  ids: '1,2,3'
}).then((res) => {
  if (res.code == 200) {
    // carouselList.value = res.data;
  }
});
getDiyProductPage({ pageNum: 1, pageSize: 10, ids: '434643,434645' }).then((res) => {
  if (res.code == 200) {
    // carouselList.value = res.data;
  }
});
getServiceCaseList({ pageNum: 1, pageSize: 10, ids: '1031,1032' }).then((res) => {
  if (res.code == 200) {
    // carouselList.value = res.data;
  }
});

getPlatformIndexDiyPcPage({}).then((res) => {
  if (res.code == 200) {
    // carouselList.value = res.data;
  }
});
</script>

<style lang="scss" scoped></style>
